function [Wtot, Wsurf] = chromatic(pya, pyc, cv, th, rn, dn, lambda)
%
% CHROMATIC
%
%  Fourth-order chromatic wavefront aberrations
%
%

m = length(th);
for (i=2:m)
  Ia(i,1) = rn(i)*(pya(i,2)+cv(i)*pya(i,1));
  Ic(i,1) = rn(i)*(pyc(i,2)+cv(i)*pyc(i,1));
  J(i,1) = pya(i,1)*(dn(i)/rn(i)-dn(i-1)/rn(i-1));
end
W020 =  Ia.*J/(2*lambda);
W111 =  Ic.*J/(lambda);
Wsurf = [W020 W111];
Wtot = sum(Wsurf);
Wsurf(m+1,:) = Wtot;
